package at.ac.uibk.gitsearch.service.dto;

import java.io.Serializable;
import java.util.Objects;
import javax.validation.constraints.*;

/**
 * A DTO for the {@link at.ac.uibk.gitsearch.domain.SavedSearches} entity.
 */
public class SavedSearchesDTO implements Serializable {

    private Long id;

    @NotNull
    @Size(max = 50)
    private String name;

    @NotNull
    @Size(max = 2000)
    private String jsonQuery;

    private UserDTO user;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getJsonQuery() {
        return jsonQuery;
    }

    public void setJsonQuery(String jsonQuery) {
        this.jsonQuery = jsonQuery;
    }

    public UserDTO getUser() {
        return user;
    }

    public void setUser(UserDTO user) {
        this.user = user;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof SavedSearchesDTO)) {
            return false;
        }

        SavedSearchesDTO savedSearchesDTO = (SavedSearchesDTO) o;
        if (this.id == null) {
            return false;
        }
        return Objects.equals(this.id, savedSearchesDTO.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(this.id);
    }

    // prettier-ignore
    @Override
    public String toString() {
        return "SavedSearchesDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", jsonQuery='" + getJsonQuery() + "'" +
            ", user=" + getUser() +
            "}";
    }
}
