import { Component, OnInit } from '@angular/core';
import { SearchService } from 'app/search/service/search-service';
import { HttpClient } from '@angular/common/http';

import { AccountService } from 'app/core/auth/account.service';
import { Statistics } from 'app/shared/model/statistics.model';
import { promise } from 'protractor';

@Component({
  selector: 'jhi-achievements',
  templateUrl: './achievements.component.html',
  styleUrls: ['./achievements.component.scss'],
})
export class AchievementsComponent implements OnInit {
  config = require('./achievements_config.json');
  statistics! : Statistics;
  statisticsLoaded! : Promise<boolean>;
  constructor(private accountService: AccountService, protected searchService: SearchService, private httpClient: HttpClient) {

  }

  public getTotalNumberOfViewsAndDownloads(): void {
    // eslint-disable-next-line no-console
    this.searchService.getStatisticsForUser().subscribe(
      (data: Statistics) => {
        if (data) {
          this.statistics = data;
          // eslint-disable-next-line no-console
          console.log(this.statistics)
          this.statistics.id = 1;
          this.statistics.exerciseID = 0;
          this.statisticsLoaded = Promise.resolve(true);
        } else {
          this.statistics = new Statistics();
          this.statistics.id = 1;
          this.statistics.downloads = 0;
          this.statistics.views = 0;
        }

      },
      () => alert('Could not load statistics for User')
    );
  }

  ngOnInit(): void {
    this.getTotalNumberOfViewsAndDownloads();
  }
}
