import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { Observable, of } from 'rxjs';
import { PagesComponent } from './pages.component';

@Injectable({ providedIn: 'root' })
export class PagesResolve implements Resolve<String> {

  resolve(route: ActivatedRouteSnapshot): Observable<String> | Observable<never> {
    // first is "/pages" chop off
    // second is "/de" (language"): chop off
    let subUrl = '';
    for (let i = 1; i < route.url.length; i++) {
      subUrl += '/';
      subUrl += route.url[i].path;
    }
    if (subUrl === '') return of('helpStart');
    return of(subUrl);
  }
}

export const pagesRoutes = {
  path: 'pages',
  children: [
    {
      path: '**',
      loadChildren: () => import('app/editorialPages/editorialPages.module').then(m => m.PagesModule),
      resolve: {
        pagePath: PagesResolve,
      },
      component: PagesComponent,
    },
  ],
};
